Skip to main content
`Ctrl`+`K`

# PetscDualSpaceType

String with the name of a PETSc dual space

## Synopsis

    typedef const char *PetscDualSpaceType;
    #define PETSCDUALSPACELAGRANGE "lagrange"
    #define PETSCDUALSPACESIMPLE   "simple"
    #define PETSCDUALSPACEREFINED  "refined"
    #define PETSCDUALSPACEBDM      "bdm"
    #define PETSCDUALSPACESUM      "sum"

## Values

- PETSCDUALSPACELAGRANGE - a dual space of pointwise evaluation functionals

- PETSCDUALSPACESIMPLE - a dual space defined by functionals provided with `PetscDualSpaceSimpleSetFunctional()`

- PETSCDUALSPACEREFINED - the joint dual space defined by a group of cells, usually refined from one larger cell

- PETSCDUALSPACEBDM - a dual space for Brezzi-Douglas-Marini elements

- PETSCDUALSPACESUM - a dual space that is a sum of other dual spaces

## See Also

`PetscDualSpaceSetType()`, `PetscDualSpace`, `PetscSpace`

## Level

beginner

## Location

include/petscdualspace.h

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages